# Uses of Class
javax.management.relation.Role

Packages that use Role
Package
Description
javax.management.relation
Provides the definition of the Relation Service.

## Uses of Role in javax.management.relation

Methods in javax.management.relation that return types with arguments of type Role
Modifier and Type
Method
Description
`List<Role>`
RoleList.`asList()`
Return a view of this list as a `List<Role>`.
Methods in javax.management.relation with parameters of type Role
Modifier and Type
Method
Description
`void`
RoleList.`add(int index, Role role)`
Inserts the role specified as an element at the position specified.
`void`
RoleList.`add(Role role)`
Adds the Role specified as the last element of the list.
`Integer`
RelationService.`checkRoleWriting(Role role, String relationTypeName, Boolean initFlag)`
Checks if given Role can be set in a relation of given type.
`Integer`
RelationServiceMBean.`checkRoleWriting(Role role, String relationTypeName, Boolean initFlag)`
Checks if given Role can be set in a relation of given type.
`void`
RelationService.`sendRoleUpdateNotification(String relationId, Role newRole, List<ObjectName> oldValue)`
Sends a notification (RelationNotification) for a role update in the given relation.
`void`
RelationServiceMBean.`sendRoleUpdateNotification(String relationId, Role newRole, List<ObjectName> oldRoleValue)`
Sends a notification (RelationNotification) for a role update in the given relation.
`void`
RoleList.`set(int index, Role role)`
Sets the element at the position specified to be the role specified.
`void`
Relation.`setRole(Role role)`
Sets the given role.
`void`
RelationService.`setRole(String relationId, Role role)`
Sets the given role in given relation.
`void`
RelationServiceMBean.`setRole(String relationId, Role role)`
Sets the given role in given relation.
`void`
RelationSupport.`setRole(Role role)`
Sets the given role.
`void`
RelationService.`updateRoleMap(String relationId, Role newRole, List<ObjectName> oldValue)`
Handles update of the Relation Service role map for the update of given role in given relation.
`void`
RelationServiceMBean.`updateRoleMap(String relationId, Role newRole, List<ObjectName> oldRoleValue)`
Handles update of the Relation Service role map for the update of given role in given relation.
Constructor parameters in javax.management.relation with type arguments of type Role
Modifier
Constructor
Description
``
`RoleList(List<Role> list)`
Constructs a `RoleList` containing the elements of the `List` specified, in the order in which they are returned by the `List`'s iterator.